basement-0.0.11: Foundation scrap box of array & string

Safe Haskell | Safe
Language | Haskell2010

Basement.Compat.CallStack

Synopsis

- type HasCallStack = ?callStack :: CallStack

# Documentation

type HasCallStack = ?callStack :: CallStack Source #

Request a CallStack.

NOTE: The implicit parameter `?callStack :: CallStack` is an implementation detail and should not be considered part of the `CallStack` API, we may decide to change the implementation in the future.

Since: base-4.9.0.0